{-# OPTIONS_GHC -fglasgow-exts #-}

module Option where {


option_case :: forall t a. t -> (a -> t) -> Maybe a -> t;
option_case f1 f2 (Just a) = f2 a;
option_case f1 f2 Nothing = f1;

the :: forall a. Maybe a -> a;
the (Just x) = x;

is_none :: forall b. Maybe b -> Bool;
is_none (Just x) = False;
is_none Nothing = True;

}
